variable AWS_REGION {
  description = "The region where AWS operations will take place"
}

variable DEV_NAME {
  description = "root device name of the volume"
  default     = "/dev/xvdv"
}

variable SBC_QCOW2_FILE {
  description = "List of SBC qcow2 files to create the AMI's from"
}

variable INSTANCE_IP {
  description = "Instance IP, if specified no new instance is created, otherwise a new AWS instance is created"
  default     = ""
}

variable IS_PUBLIC_IP {
  description = "Is specified INSTANCE_IP is public, set to true, otherwise set to false"
  default     = true
  type        = bool
}

variable INSTANCE_USERNAME {
  description = "Username to connect to instance with"
  default     = "ec2-user"
}

variable SSH_PRIVATE_KEY {
  description = "SSH private key file with 400 file permissions"
}

variable SSH_PUBLIC_KEY {
  description = "SSH public key file, it is not required if variable INSTANCE_IP is specified"
  default     = ""
}

variable AWS_SUBNET_ID {
  description = "Specify subnet id to create an instance"
  default     = ""
}

variable AWS_SEC_GRP_ID {
  description = "Specify security group id which allows SSH"
  default     = ""
}

variable DEFAULT_VOLUME_TYPE {
  description = "Specify the volume type for the device"
  default     = ["gp2"]
}
